1. Herzlich willkommen bei WPDE.org, dem grössten und ältesten deutschsprachigen Community-Forum rund um das Thema WordPress. Du musst angemeldet oder registriert sein, um Beiträge verfassen zu können.
    Information ausblenden

Fehlermeldung nach Upgrate 2.8.1 - Plugins upload

Dieses Thema im Forum "Installation" wurde erstellt von patsy, 10. Juli 2009.

  1. patsy

    patsy Well-Known Member

    Registriert seit:
    10. Januar 2009
    Beiträge:
    178
    Zustimmungen:
    0
    Hallo an alle,

    ich hab grade auf das wp 2.8.1 geändert und es hat auch soweit alles gut geklappt, nur das der auch in der Datenbank was änderte war mir nicht ganz geheuer :mrgreen:
    Nun aber zum Problem:
    Ich kann nun keine Plugins mehr aktualisieren bzw. neu installieren (über´s Dashboard), dann kommt immer diese Fehlermeldung:

    Warning: unlink(/www/htdocs/w00acf1b//wp-content/upgrade/simple-ajax-shoutbox.1.2.1.zip) [function.unlink]: No such file or directory in /www/htdocs/w00acf1b/wp-admin/includes/class-wp-upgrader.php on line 146
    Archiv ist nicht kompatibel PCLZIP_ERR_MISSING_FILE (-4) : Missing archive file '/www/htdocs/w00acf1b//wp-content/upgrade/simple-ajax-shoutbox.1.2.1.zip'


    Was meint der denn??? Ich hab mal unterm FTP nachgeschaut, aber woher soll ich denn wissen was da nu falsch ist und einfach was da löschen mach ich ja nu auch nicht.
    Hat jemand ne Idee???? :confused:
     
  2. Bambaataa

    Bambaataa Well-Known Member
    Ehrenmitglied

    Registriert seit:
    17. Mai 2009
    Beiträge:
    2.483
    Zustimmungen:
    12
    von welcher version hats du den upgedatet wegen datenbank änderung?

    das problem hab ich auch öfters auf meinem testblock. nach einigen plugin installierungen und wp updates geht plötzlich nichts mehr mit updaten und dergleichen, hilft nur noch neu aufsetzen, deshalb date ich meinen hauptblog nur von hand ab. würde mich auch stark interesieren woher das kommt.
     
  3. patsy

    patsy Well-Known Member

    Registriert seit:
    10. Januar 2009
    Beiträge:
    178
    Zustimmungen:
    0
    Ich hab von der 2.7.1 geupdatet. Da ich vorher bei all ink. in der Datenbank das ftp.credital entfernen musste (danach gingen die uploads vom Dashboard aus) hab ich nach dem update eine kontrolle gemacht und da war´s dann wieder drin. Also hab ich zuerst gedacht es läge daran und hab´s wie bei 2.7.1 entfernt, doch der hustet mir trotzdem was. Wie ich unten bei den Plugins (leider erst nach dem neuen Thread von mir) gelesen habe, war das Problem auch schon beim 2.8 da, mit genau der selben Fehlermeldung. Allerdings die Hilfestellung die es da gab, hat mir dennoch nicht geholfen, da der entsprechende Downloadlink auf einer der angegebenen Seiten nicht mehr funktioniert. Bei allem anderen brauche ich leider eine idiotensichere Anleitung :oops:
     
  4. de la guarda

    de la guarda Member

    Registriert seit:
    10. Juni 2008
    Beiträge:
    5
    Zustimmungen:
    0
    Hi,

    ich häng mich hier mal dran ... habe das selbe Problem.
    Gerade eben von 2.8 auf 2.8.1 upgedatet und wollte das NextGen Gallery Plugin automatisch updaten lassen ...

    Hier die Fehlermeldung:

    Lade Update von http://downloads.wordpress.org/plugin/nextgen-gallery.zip herunter.
    Update wird entpackt.

    Warning: unlink(/www/htdocs/xxx/wordpress/wp-content/upgrade/nextgen-gallery.zip) [function.unlink]: No such file or directory in /www/htdocs/xxx/wordpress/wp-admin/includes/class-wp-upgrader.php on line 146
    Archiv ist nicht kompatibel PCLZIP_ERR_MISSING_FILE (-4) : Missing archive file '/www/htdocs/xxx/wordpress/wp-content/upgrade/nextgen-gallery.zip'


    ...das Autoupdate funkt seit dem Update auf 2.8 überhaupt nicht mehr :twisted:
    Als PHP Laie stoße ich hier mal an meine Grenzen ... :(
     
    #4 de la guarda, 10. Juli 2009
    Zuletzt bearbeitet: 10. Juli 2009
  5. patsy

    patsy Well-Known Member

    Registriert seit:
    10. Januar 2009
    Beiträge:
    178
    Zustimmungen:
    0
    Jo, Bingo! Willkommen im Club! :mrgreen:
    ich hab immer noch keinen Plan was da los ist, vielleicht sollte mal jemand ein Buch rausgeben: "Wordpress für Dummys" :lol:
     
  6. Pajopath

    Pajopath Member

    Registriert seit:
    10. Juli 2009
    Beiträge:
    22
    Zustimmungen:
    0
    also das nextgen Update lief bei mir mit 2.8.0 noch einwandfrei durch. Scheint wohl wenn erst mit 2.8.1 aufzutreten.
     
  7. patsy

    patsy Well-Known Member

    Registriert seit:
    10. Januar 2009
    Beiträge:
    178
    Zustimmungen:
    0
  8. Pajopath

    Pajopath Member

    Registriert seit:
    10. Juli 2009
    Beiträge:
    22
    Zustimmungen:
    0
    wird eigentlich die datei simple-ajax-shoutbox.1.2.1.zip im Upgrade ordner angelegt?

    musste bei All Inkl bei der letzten WP installation erstmal alle Dateien mit 777 Rechten ändern damit WP überhaupt sauber läuft. Fehlt den Ordnern vielleicht Rechte um die Datei dort abzulegen?
     
  9. patsy

    patsy Well-Known Member

    Registriert seit:
    10. Januar 2009
    Beiträge:
    178
    Zustimmungen:
    0
    Nee, die Shoutbox ist ja ein Plugin und so ist es bei mir auch ganz normal in dem Pluginordner gelandet, oder was meinst du genau? Meinst du die Nachrichten, die dort hinterlassen wurden? Meine sind nämlich seit dem update pfutsch und so steht da grad nur ein jämmerliches "Hallo... wo sind denn die ganzen Nachrichten" von mir drin :roll:
    Mit den Rechten hab ich keine Probelme gehabt, da war alles noch okay, da ja die meisten Rechte nur den Content-Ordner betreffen und den lässt man ja stehen.
     
  10. infected

    infected Well-Known Member

    Registriert seit:
    9. Juli 2006
    Beiträge:
    9.816
    Zustimmungen:
    1
  11. patsy

    patsy Well-Known Member

    Registriert seit:
    10. Januar 2009
    Beiträge:
    178
    Zustimmungen:
    0
    *grööööööhl*
    aber das ist auf englisch und somit für mich nicht tauglich. Ich brauch ne deutsche Version :mrgreen:
     
  12. infected

    infected Well-Known Member

    Registriert seit:
    9. Juli 2006
    Beiträge:
    9.816
    Zustimmungen:
    1
    PHP5 läuft bei euch, ja?!
     
  13. patsy

    patsy Well-Known Member

    Registriert seit:
    10. Januar 2009
    Beiträge:
    178
    Zustimmungen:
    0
    Jawoll, hab extra nachgeschaut. :D auch sonst läuft ja der Blog einwandfrei ohne weitere Mängel. Nur das ist halt extrem ägerlich mit diesem Plugin - upload - problem, denn ich kann im FTP keine .zip Dateien mehr hochladen (Fehler haben alle, Hooster weiß nicht warum) und jedesmal für ein update die ganze Datei zu zerfleddern und einzeln hochzuladen ist eine S** arbeit. Deshalb hoff ich ja mal, dass man bald den Fehler findet..... *hoff hoff*
     
  14. Pajopath

    Pajopath Member

    Registriert seit:
    10. Juli 2009
    Beiträge:
    22
    Zustimmungen:
    0
    welche rechte haben denn bei dir die Upload/Upgrade/Plugin ordern? , standartmäßig haben die ja keine schreibrechte bei ALL Inkl. dann kannst du die nur manuell hochladen

    ??? über wordpress oder generell? , hab gerade mal zum spass ein neues plugin über wordpress installiert (zip-file), erfolgreich heruntergeladen, installiert und aktiviert :confused:

     
    #14 Pajopath, 10. Juli 2009
    Zuletzt bearbeitet: 10. Juli 2009
  15. patsy

    patsy Well-Known Member

    Registriert seit:
    10. Januar 2009
    Beiträge:
    178
    Zustimmungen:
    0
    Öhm, ich weiß jetzt nicht so genau was du meinst. Mein Contentordner hat alle entspechenden Zugriffsrechte und auch die Plugins, sonst wäre es ja vorher auch nicht gegangen. (Hab die Zugriffsrechte ja selbst mal eingestellt und die sind auch noch da)
     
  16. Pajopath

    Pajopath Member

    Registriert seit:
    10. Juli 2009
    Beiträge:
    22
    Zustimmungen:
    0
    ja aber hat bei dir nur der Hauptordner die Rechte 777 bekommen oder auch alle unterordner?

    Weil nur weil der Ordner "wp-content" die Rechte bekommen hat, kann es ja noch immer sein das den anderen Unterordnern (auch den einzelnen Plugin-Ordner) diese Rechte fehlen, Askimet konnte zum beispiel bei mir nicht automaischt update weil zwar der Ordner Plugin die Rechte hatte aber nicht der unterordner "akismet" :roll:
     
  17. patsy

    patsy Well-Known Member

    Registriert seit:
    10. Januar 2009
    Beiträge:
    178
    Zustimmungen:
    0
    Das mein ich ja, es haben auch alle Unterordner die entsprechenden Zugriffsrechte. Das hatten sie vorher ja auch und da hat das bei mir auch genauso gut geklappt wie bei dir. Erst seit dem update auf 2.8.1 geht es auf einmal nicht mehr obwohl alle Zugriffsrechte immer noch da sind.

    P.S.: Akismeth war in dem Punkt schon immer zickig ;)

    p:.P.S.: Nee, das mit dem Hoster, da können viele nicht mehr bei Plugins Zip Dateien hochladen, das war irgendwann im im Frühjahr, da gab´s hier auch mal nen Thread weil wir nicht wussten was da los war und ständige Korrespondenzen mit dem Hoster. Aber als das dann über´s Dashboard wenigstens ging, war das ja nicht soooo tragisch. Nun wird´s aber tragisch, weil jetzt geht es mit zip Dateien weder über dem FTP noch über´s Dashboard
     
    #17 patsy, 10. Juli 2009
    Zuletzt bearbeitet: 10. Juli 2009
  18. Pajopath

    Pajopath Member

    Registriert seit:
    10. Juli 2009
    Beiträge:
    22
    Zustimmungen:
    0
    - bei welchem Provider denn? , bin bei all-inkl und kann ZIP dateien immer hochladen, auch über wordpress, über dashboard, über FTP :?:

    hatte da in den letzten jahren auch nie probleme mit.
     
  19. patsy

    patsy Well-Known Member

    Registriert seit:
    10. Januar 2009
    Beiträge:
    178
    Zustimmungen:
    0
    Ich bin bei all inkl. kann zip Dateien hochladen AUßER bei Plugins (Problem haben auch Moosi und Lucy). Über´s Dashoard ging es bis zur umstellung auf 2.8.1. Nun geht es darüber auch nicht mehr. :(
     
  20. Pajopath

    Pajopath Member

    Registriert seit:
    10. Juli 2009
    Beiträge:
    22
    Zustimmungen:
    0
    habs gerade mal getestet , besagt flickpress.0.8.zip mal unter /plugins /uploads /upgrade hochgeladen.

    Keine Fehlermeldung, datei ist drin und kann sogar online abgerufen werden :shock:
     
  1. Diese Seite verwendet Cookies, um Inhalte zu personalisieren, diese deiner Erfahrung anzupassen und dich nach der Registrierung angemeldet zu halten.
    Wenn du dich weiterhin auf dieser Seite aufhältst, akzeptierst du unseren Einsatz von Cookies.
    Information ausblenden
  1. Diese Seite verwendet Cookies, um Inhalte zu personalisieren, diese deiner Erfahrung anzupassen und dich nach der Registrierung angemeldet zu halten.
    Wenn du dich weiterhin auf dieser Seite aufhältst, akzeptierst du unseren Einsatz von Cookies.
    Information ausblenden